Subject: Re: bug#30758: 25.3; Cannot exit minibuffer with C-g when opening file or switching buffers

From: Tim Fischbach <[email-masked]>
Date: Mon, 12 Mar 2018 12:48:54 +0000

1) emacs -Q
2) M-x
3) C-g

reproduces the error every time on my machine. Holding C-g for a couple of
seconds fixes the problem. Also Esc Esc Esc still works. Even C-S-g works,
even though describe-key translates it to C-g. I really think this might be
a problem with Ubuntu Unity somehow rebinding or blocking C-g.

Using toogle-debug-on-quit with my normal config, I was able to trigger

  Debugger entered--Lisp error: (quit)

without any further info or

  Debugger entered--Lisp error: (quit)
  read-event(nil t 2)
  sit-for(2)
  execute-extended-command(nil "toggle-debug-on-quit" nil)
  funcall-interactively(execute-extended-command nil "toggle-debug-on-quit" nil)
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)

This was NOT reproducible with `emacs -Q`, though.

On Sat, 10 Mar 2018 at 04:05 Noam Postavsky <[email-masked]> wrote:

> unarchive 26289
> reopen 26289
> merge 30758 29063 26289
> quit
>
> Tim Fischbach <[email-masked]> writes:
>
> > I am facing the exact problem described in
> >
> >   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26289
> >
> > on both Emacs 25.3.2 and 24.5.1 also via `emacs -Q`.
> > When running emacs inside the terminal via `emacs -nw` the problem
> > does not occur.
>
> Do you see the same symptoms described in
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=29063#17
>
>     I have also noticed that, with toggle-debug-on-quit on, just typing C-g
>     while in the normal writing buffer will always send me to the debugger
> on
>     only one line:
>
>     Debugger entered--Lisp error: (quit)
>       internal-timer-start-idle()
>
>     This happens in the broken emacs only, and C-g here does nothing in the
>     working emacs. Likewise, in the broken emacs, while I am highlighting
> text
>     with C-space, C-g will 50% of the time cancel the highlight and 50% of
> the
>     time open the above debugger on the timer start function.
>